Bug 431685 - setroubleshootd seems to have a memory leak
setroubleshootd seems to have a memory leak
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 09:07 EST by Axel Straschil
Modified: 2009-01-09 00:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
grep report_count /var/lib/setroubleshoot/audit_listener_database.xml (121.58 KB, text/plain)
2008-02-06 10:44 EST, Axel Straschil
no flags Details

  None (edit)
Description Axel Straschil 2008-02-06 09:07:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10 pango-text

Description of problem:
setroubleshootd is linear consuming much memory, as example, after restarting top says:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
30931 root      20   0  440m 197m 5360 S   13  9.8   0:17.94 setroubleshootd

When whatching:

19:40
19016 root 20 0 342m 99m 5356 S 0 4.9 0:34.40 setroubleshootd

20:10
19016 root 20 0 342m 99m 5456 S 0 4.9 2:18.58 setroubleshootd

21:30
19016 root 20 0 352m 109m 5456 S 0 5.4 6:57.15 setroubleshootd

22:20
19016 root 20 0 355m 112m 5456 S 0 5.6 9:56.77 setroubleshootd

Version-Release number of selected component (if applicable):
setroubleshoot-server-1.10.7-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. Install and start setroubleshootd
2. Activate selinux
3. whatch the memory consumed by setroubleshootd

Actual Results:
setroubleshootd consumes memory until the system ist crashing, workaround now ist frequent restart of setroubleshootd.

Expected Results:


Additional info:
Comment 1 John Dennis 2008-02-06 09:42:08 EST
Is your system generating a lot of alerts? How many alerts are in the browser?
Do any of the alerts have large report counts? Are there any errors or
tracebacks in /var/log/setroubleshoot/setroubleshootd.log?
Comment 2 Axel Straschil 2008-02-06 10:11:13 EST
> Is your system generating a lot of alerts

Yes, about 2 alerts per second.

> How many alerts are in the browser?

Sorry, which browser? How to start and count?

> Do any of the alerts have large report counts?

Sorry, how do i mesure that?

> Are there any errors or tracebacks in /var/log/setroubleshoot/setroubleshootd.log?

cat /var/log/setroubleshoot/setroubleshootd.log
2008-02-06 15:03:23,428 [email.WARNING] cannot open file
/var/lib/setroubleshoot/email_alert_recipients, No such file or directory

Thanks, Axel.
Comment 3 John Dennis 2008-02-06 10:28:11 EST
The alert browser can be opened when you get the alert popup on your desktop or
by going to the System Tools menu and selecting the SELinux Troubleshooter menu
item.

If this is a server and you don't have a gui then as root:

% grep report_count /var/lib/setroubleshoot/audit_listener_database.xml
Comment 4 Axel Straschil 2008-02-06 10:44:06 EST
Created attachment 294117 [details]
grep report_count /var/lib/setroubleshoot/audit_listener_database.xml
Comment 5 Axel Straschil 2008-02-06 10:46:41 EST
See attachment above, and:

du -h /var/lib/setroubleshoot/audit_listener_database.xml
12M     /var/lib/setroubleshoot/audit_listener_database.xml

grep report_count /var/lib/setroubleshoot/audit_listener_database.xml  | wc -l
3353

Thanks, Axel.
Comment 6 Bug Zapper 2008-11-26 04:42:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:55:54 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.